FrameworksId
Get the details of a single framework by id.
Authorization
Authorization AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
organizationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.devguard.ch/api/frameworks/497f6eca-6276-4993-bfeb-53cbbbba6f08/?organizationId=string"{
"id": "string",
"organizationId": "string",
"identifier": "string",
"slug": "string",
"version": "1.0",
"identifierColor": "string",
"publishedAt": "string",
"deprecatedAt": "string",
"isActive": true,
"requiredTier": "free-trial",
"name": "string",
"description": "string",
"isCentralized": true,
"lastSyncAt": "string",
"createdAt": "string",
"updatedAt": "string",
"createdBy": "string",
"controls": [
{
"id": "string",
"identifier": "string",
"name": "string",
"slug": "string",
"type": "CATEGORY",
"purpose": "string",
"description": {},
"isMandatory": true,
"parentId": "string",
"frameworkId": "string",
"isCentralized": true,
"createdAt": "string",
"updatedAt": "string"
}
],
"_count": {
"controls": 0
},
"adoption": {},
"isAdopted": true
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?